open-infrastructure-compute-tools (20250126-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20250126.
  * Updating year in copyright for 2025.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 26 Jan 2025 20:18:18 +0100

open-infrastructure-compute-tools (20240829-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20240829.
  * Removing patches, included upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 29 Aug 2024 18:22:33 +0200

open-infrastructure-compute-tools (20221223-6) sid; urgency=medium

  * Uploading to sid.
  * Removing pre-bookworm transitional package.
  * Minimizing debhelper build-depends for trixie.
  * Updating copyright for 2024.
  * Updating to standards-version 4.7.0.
  * Adding patch to install systemd unit files in /usr, thanks to Helmut
    Grohne <helmut@subdivi.de> (Closes: #1063455).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 05 Jun 2024 06:26:28 +0200

open-infrastructure-compute-tools (20221223-5) experimental; urgency=medium

  * Uploading to experimental.
  * Cherry-picking patch to use versioned sort in container list.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 16 Apr 2023 08:05:17 +0200

open-infrastructure-compute-tools (20221223-4) experimental; urgency=medium

  * Uploading to experimental.
  * Cherry-picking patch to add host variable in preseed files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Apr 2023 16:57:30 +0200

open-infrastructure-compute-tools (20221223-3) sid; urgency=medium

  * Uploading to sid.
  * Reuploading source-only after NEW without changes.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Feb 2023 16:42:42 +0100

open-infrastructure-compute-tools (20221223-2) sid; urgency=medium

  * Uploading to sid.
  * Renaming container-tools to compute-tools to avoid future NEW
    processing when adding kvm backend.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Feb 2023 12:25:35 +0100

open-infrastructure-compute-tools (20221223-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221223.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 01 Feb 2023 14:44:45 +0100

open-infrastructure-compute-tools (20221023-2) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.2.
  * Adding updated Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #1024656).
  * Adding Duch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1023458).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 18 Jan 2023 14:05:44 +0100

open-infrastructure-compute-tools (20221023-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221023.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 23 Oct 2022 11:50:33 +0200

open-infrastructure-compute-tools (20221015-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221015.
  * Adding debian changelog 20221002-1.1.
  * Adding updated German debconf translations from Markus Hiereth
    <translation@hiereth.de> (Closes: #1021813).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 15 Oct 2022 17:23:47 +0200

open-infrastructure-compute-tools (20221002-1.1) sid; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:33:03 +0200

open-infrastructure-compute-tools (20221002-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20221002.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 02 Oct 2022 23:08:50 +0200

open-infrastructure-compute-tools (20220721-2) sid; urgency=medium

  * Uploading to sid.
  * Adding debconf options for container directory permissions.
  * Renaming debconf fields to fully descriptive names.
  * Correcting mixed-up texts in debconf templates.
  * Refreshing debconf files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 02 Oct 2022 15:36:42 +0200

open-infrastructure-compute-tools (20220721-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220721.
  * Updating http links to https in copyright.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 21 Jul 2022 20:00:44 +0200

open-infrastructure-compute-tools (20220704-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220704.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Jul 2022 15:39:44 +0200

open-infrastructure-compute-tools (20220605-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220605.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 05 Jun 2022 10:27:53 +0200

open-infrastructure-compute-tools (20220604-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220604.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 04 Jun 2022 07:23:21 +0200

open-infrastructure-compute-tools (20220522-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220522.
  * Updating to standards version 4.6.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 22 May 2022 15:26:40 +0200

open-infrastructure-compute-tools (20220509-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220509.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 09 May 2022 14:32:09 +0200

open-infrastructure-compute-tools (20220508-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220508.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 08 May 2022 17:29:49 +0200

open-infrastructure-compute-tools (20220505-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20220505.
  * Removing note about using systemd-networkd exclusively, fallback
    support for ifupdown has been added.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 05 May 2022 18:34:53 +0200

open-infrastructure-compute-tools (20220430-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20220430.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 01 May 2022 00:11:43 +0200

open-infrastructure-compute-tools (20220428-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20220428.
  * Updating packaging copyright for 2022.
  * Adding note about breaking changes (systemd-networkd instead of
    ifupdown) in news file.
  * Removing ifupdown from recommends.
  * Switching preference from debootstrap to mmdebstrap.
  * Adding updated Spanish debconf translations, thanks to Camaleón
    <noelamac@gmail.com> (Closes: #1003296, #1008530).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 28 Apr 2022 12:59:03 +0200

open-infrastructure-compute-tools (20211231-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211231.
  * Moving to dh_installalternatives.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 31 Dec 2021 06:20:12 +0100

open-infrastructure-compute-tools (20211117-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211117.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 17 Nov 2021 03:12:39 +0100

open-infrastructure-compute-tools (20211116-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211116.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 16 Nov 2021 07:00:59 +0100

open-infrastructure-compute-tools (20211115-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211115.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 15 Nov 2021 22:40:57 +0100

open-infrastructure-compute-tools (20211113-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211113.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 13 Nov 2021 08:01:55 +0100

open-infrastructure-compute-tools (20211103-2) sid; urgency=medium

  * Uploading to sid.
  * Adding upgrade-handling for logfiles from buster to bullseye and
    newer.
  * Adding upgrade-handling for hooks from buster to bullseye and newer.
  * Moving upgrade handling in postinst to its own function.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 07 Nov 2021 18:52:51 +0100

open-infrastructure-compute-tools (20211103-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211103.
  * Removing needrestart directory on purge.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 03 Nov 2021 11:03:50 +0100

open-infrastructure-compute-tools (20211102-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20211102.
  * Replacing which with command in maintainer scripts.
  * Adding upgrade-handling buster to bullseye and newer.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 02 Nov 2021 18:13:52 +0100

open-infrastructure-compute-tools (20210804-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.6.0.
  * Avoiding error when trying to creating directories ontop of symlinks
    when moving directories.
  * Adding updated German debconf translations from Markus Hiereth
    <translation@hiereth.de> (Closes: #993474).
  * Adding updated Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #994140).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 27 Oct 2021 14:42:00 +0200

open-infrastructure-compute-tools (20210804-2) sid; urgency=medium

  * Uploading to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 16 Aug 2021 04:33:13 +0200

open-infrastructure-compute-tools (20210804-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210804.
  * Updating debconf handling to honor container.conf.d files.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 04 Aug 2021 05:26:06 +0200

open-infrastructure-compute-tools (20210727-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210727.
  * Adding backward incompatible changes for the previous upstream release
    to news file.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 27 Jul 2021 02:59:04 +0200

open-infrastructure-compute-tools (20210726-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210726.
  * Updating packaging for container create to container build command
    rename.
  * Refreshing debconf files.
  * Correcting 'directory-is-empty' check in postinst.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 26 Jul 2021 05:57:43 +0200

open-infrastructure-compute-tools (20210725-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210725.
  * Updating build-depends for moving from asciidoc to rst for manpage
    generation.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 25 Jul 2021 08:03:04 +0200

open-infrastructure-compute-tools (20210724-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210724.
  * Updating news file for previous upload.
  * Marking create script choices in debconf as untranslatable (as it
    should be).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 24 Jul 2021 20:49:05 +0200

open-infrastructure-compute-tools (20210630-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210630.
  * Reverting openvswitch recommends (openvswitch usage is not ready
    here).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Wed, 30 Jun 2021 09:02:35 +0200

open-infrastructure-compute-tools (20210629-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210629.
  * Updating recommends for openvswitch migration.
  * Updating NEWS for new upstream version.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 29 Jun 2021 14:15:52 +0200

open-infrastructure-compute-tools (20210628-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210628:
    - Using dpkg selection to check package availability in debconf
      container create script, rather than to rely on dpkg internal
      files (Closes: #944982).
  * Using full distributor name for progress-linux when matching
    lsb_release output in debconf handling.
  * Removing conditional default handling for suggest container create
    script based on distributor, it hasn't worked anyway.
  * Adding initial Spanish debconf translations from Camaleón
    <noelamac@gmail.com> (Closes: #988447).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 29 Jun 2021 13:30:47 +0200

open-infrastructure-compute-tools (20210411-1) experimental; urgency=medium

  * Uploading to experimental.
  * Merging upstream version 20210411.
  * Moving ifupdown to recommends in preparation for using systemd-network
    and openvswitch.
  * Updating news entry with backwarts incompatible changes for this
    upstream version.
  * Updating copyright file for new upstream.
  * Updating all directory paths for new upstream version.
  * Excluding directory paths in debconf template from translation.
  * Refreshing debconf translation files.
  * Improving variable usage to shorten strings in rules.
  * Using which to check for commands in maintainer script to avoid
    lintian 'command-with-path'-warning.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Apr 2021 16:31:23 +0200

open-infrastructure-compute-tools (20210101-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20210101.
  * Updating year in copyright for 2021.
  * Updating to standards version 4.5.1.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 09 Feb 2021 17:20:22 +0100

open-infrastructure-compute-tools (20201030-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20201030.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Fri, 30 Oct 2020 05:13:55 +0100

open-infrastructure-compute-tools (20200830-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20200830.
  * Using execute_after targets in rules to be explicit what we're doing.
  * Updating to debhelper version 13.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 30 Aug 2020 15:48:56 +0200

open-infrastructure-compute-tools (20200121-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20200121.
  * Removing ftbfs-asciidoc.patch, included upstream.
  * Using codenames as upload targets in changelog.
  * Updating years in copyright file for 2020.
  * Updating to standards version 4.5.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 21 Jan 2020 21:29:02 +0100

open-infrastructure-compute-tools (20191104-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20191104.
  * Updating to standards version 4.4.1.
  * Adding patch to fix FTBFS with newer asciidoc versions.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 04 Nov 2019 07:07:02 +0100

open-infrastructure-compute-tools (20190811-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 20190811.
  * Removing debconf-includes.patch, included upstream.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 11 Aug 2019 10:56:26 +0200

open-infrastructure-compute-tools (20190413-4) sid; urgency=medium

  * Uploading to sid.
  * Adding updated French debconf translations from Jean-Pierre Giraud
    <jenapierregiraud75@free.fr> (Closes: #930706).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 10 Aug 2019 14:08:56 +0200

open-infrastructure-compute-tools (20190413-3) sid; urgency=medium

  * Uploading to sid.
  * Updating to standards version 4.4.0.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 16 Jul 2019 18:49:57 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog open-infrastructure-compute-tools`.
